define(function() {var keywords=[{w:"About",p:["p0","p88","p92","p95","p174"]},{w:"CQL",p:["p0","p1","p7","p10","p15","p16","p24","p61","p84","p85","p93","p97","p111","p128","p192"]},{w:"quick",p:["p1"]},{w:"reference",p:["p1","p16","p61"]},{w:"Data",p:["p2","p3","p14","p85","p100","p111","p116","p148","p149","p151","p152","p168","p183","p190","p191","p192"]},{w:"modeling",p:["p2","p190","p191","p192"]},{w:"Deleting",p:["p3","p145"]},{w:"and",p:["p3","p4","p86","p105","p108","p123","p126","p127","p136","p152","p158","p169","p175","p177","p183"]},{w:"truncating",p:["p3"]},{w:"Dropping",p:["p4","p90","p91","p146","p147"]},{w:"tables",p:["p4","p96","p140","p161","p174","p196"]},{w:"keyspaces",p:["p4","p92","p99"]},{w:"Increase",p:["p5"]},{w:"your",p:["p5"]},{w:"knowledge",p:["p5"]},{w:"Using",p:["p6","p108","p111","p116","p128","p132","p134","p154","p158","p163","p164","p165","p166","p170","p178","p179","p188"]},{w:"a",p:["p6","p9","p11","p12","p13","p65","p90","p91","p104","p117","p118","p119","p121","p122","p128","p130","p131","p132","p133","p134","p135","p137","p138","p139","p141","p144","p145","p146","p147","p150","p151","p172","p180"]},{w:"secondary",p:["p6"]},{w:"index",p:["p6","p27","p38","p69","p185"]},{w:"Running",p:["p7"]},{w:"commands",p:["p7","p24","p97"]},{w:"Introduction",p:["p8","p97"]},{w:"Creating",p:["p9","p11","p12","p13","p101","p104","p129","p130","p135","p137","p138","p141","p142","p143","p144"]},{w:"keyspace",p:["p9","p17","p28","p39","p70","p90","p174","p197"]},{w:"quickstart",p:["p10"]},{w:"table",p:["p11","p12","p13","p20","p31","p42","p73","p91","p117","p118","p120","p121","p128","p130","p135","p138","p139","p172"]},{w:"with",p:["p11","p12","p13","p104","p130","p133","p148","p149","p162"]},{w:"composite",p:["p11"]},{w:"partition",p:["p11","p131","p133","p189"]},{w:"key",p:["p11","p12","p13","p131","p132","p133","p180"]},{w:"compound",p:["p12","p132"]},{w:"primary",p:["p12","p13","p132","p180"]},{w:"simple",p:["p13"]},{w:"Updating",p:["p14","p152"]},{w:"native",p:["p15","p84"]},{w:"aggregates",p:["p15","p136"]},{w:"ALTER",p:["p17","p18","p19","p20","p21","p22"]},{w:"MATERIALIZED",p:["p18","p29","p40","p71","p89","p95","p98","p112","p119","p137","p146","p166"]},{w:"VIEW",p:["p18","p29","p40","p71","p119","p137","p146"]},{w:"ROLE",p:["p19","p30","p41"]},{w:"TYPE",p:["p21","p33","p44","p74","p103","p106","p107","p122","p144","p160","p163","p164","p179"]},{w:"USER",p:["p22","p34","p45","p177"]},{w:"BATCH",p:["p23","p124","p125"]},{w:"CREATE",p:["p25","p26","p27","p28","p29","p30","p31","p32","p33","p34"]},{w:"AGGREGATE",p:["p25","p36","p66","p142"]},{w:"FUNCTION",p:["p26","p37","p68","p142","p143","p147"]},{w:"TRIGGER",p:["p32","p43"]},{w:"(Deprecated)",p:["p34","p45","p50"]},{w:"DELETE",p:["p35"]},{w:"DROP",p:["p36","p37","p38","p39","p40","p41","p42","p43","p44","p45"]},{w:"GRANT",p:["p46"]},{w:"INSERT",p:["p47","p158"]},{w:"LIST",p:["p48","p49","p50","p155","p163"]},{w:"PERMISSIONS",p:["p48"]},{w:"ROLES",p:["p49"]},{w:"USERS",p:["p50"]},{w:"RESTRICT",p:["p51"]},{w:"REVOKE",p:["p52"]},{w:"SELECT",p:["p53","p88"]},{w:"TRUNCATE",p:["p54"]},{w:"UNRESTRICT",p:["p55"]},{w:"UPDATE",p:["p56","p158"]},{w:"USE",p:["p57","p125","p185"]},{w:"cqlsh",p:["p58","p109","p110"]},{w:"(startup",p:["p58"]},{w:"options)",p:["p58"]},{w:"CAPTURE",p:["p59"]},{w:"CLEAR",p:["p60"]},{w:"shell",p:["p61"]},{w:"(cqlsh)",p:["p61"]},{w:"CONSISTENCY",p:["p62","p80","p182","p183"]},{w:"COPY",p:["p63","p64"]},{w:"TO",p:["p63","p97","p117","p158","p185"]},{w:"FROM",p:["p64","p145","p151","p168"]},{w:"Configuring",p:["p65"]},{w:"cqlshrc",p:["p65"]},{w:"file",p:["p65","p151"]},{w:"DESCRIBE",p:["p66","p67","p68","p69","p70","p71","p72","p73","p74"]},{w:"CLUSTER",p:["p67","p176"]},{w:"SCHEMA",p:["p72","p139"]},{w:"EXECUTE",p:["p75"]},{w:"AS",p:["p75","p171"]},{w:"EXIT",p:["p76"]},{w:"EXPAND",p:["p77"]},{w:"LOGIN",p:["p78"]},{w:"PAGING",p:["p79"]},{w:"SERIAL",p:["p80"]},{w:"SHOW",p:["p81"]},{w:"SOURCE",p:["p82"]},{w:"TRACING",p:["p83"]},{w:"functions",p:["p84","p178"]},{w:"types",p:["p85","p102","p108","p116","p177"]},{w:"Date,",p:["p86"]},{w:"time,",p:["p86"]},{w:"timestamp",p:["p86","p114","p186"]},{w:"format",p:["p86"]},{w:"Duration",p:["p87"]},{w:"column",p:["p87","p101","p105","p113","p114","p115","p141","p145","p157","p159","p160","p175"]},{w:"statements",p:["p88"]},{w:"Best",p:["p89"]},{w:"practices",p:["p89"]},{w:"for",p:["p89","p116","p181"]},{w:"views",p:["p89","p95","p98","p112","p166"]},{w:"Understanding",p:["p93","p112"]},{w:"the",p:["p93","p94","p110","p120","p170","p181","p186"]},{w:"command",p:["p93"]},{w:"syntax",p:["p93"]},{w:"Modifying",p:["p94","p122"]},{w:"replication",p:["p94"]},{w:"factor",p:["p94"]},{w:"Frequently",p:["p95"]},{w:"asked",p:["p95"]},{w:"questions",p:["p95"]},{w:"Indexing",p:["p96","p150","p167"]},{w:"Known",p:["p98"]},{w:"limitations",p:["p98"]},{w:"of",p:["p98","p124","p125"]},{w:"Managing",p:["p99","p136","p140"]},{w:"Querying",p:["p100","p172"]},{w:"Blob",p:["p101"]},{w:"Freezing",p:["p102"]},{w:"collection",p:["p102","p117","p150","p168"]},{w:"Counter",p:["p103","p134","p135"]},{w:"columns",p:["p104","p116","p118","p133","p168","p187"]},{w:"single",p:["p104"]},{w:"value",p:["p104","p181"]},{w:"UUID",p:["p105","p108"]},{w:"timeuuid",p:["p105","p108"]},{w:"Tuple",p:["p106","p141","p159"]},{w:"User-defined",p:["p107","p122","p142","p143","p144","p147","p160","p178"]},{w:"Starting",p:["p109","p110"]},{w:"standalone",p:["p110"]},{w:"tool",p:["p110"]},{w:"Accessing",p:["p111"]},{w:"Time",p:["p113"]},{w:"Date",p:["p115"]},{w:"advanced",p:["p116"]},{w:"Altering",p:["p117","p118","p119","p120","p121"]},{w:"add",p:["p117"]},{w:"in",p:["p118","p170"]},{w:"properties",p:["p120"]},{w:"Batching",p:["p123","p126"]},{w:"inserts,",p:["p123"]},{w:"updates,",p:["p123"]},{w:"deletes",p:["p123"]},{w:"Misuse",p:["p124"]},{w:"statement",p:["p124","p125"]},{w:"Good",p:["p125"]},{w:"inserts",p:["p126"]},{w:"updates",p:["p126"]},{w:"Building",p:["p127"]},{w:"maintaining",p:["p127"]},{w:"indexes",p:["p127","p165"]},{w:"legacy",p:["p128","p161","p162","p172"]},{w:"query",p:["p128","p171"]},{w:"collections",p:["p129"]},{w:"COMPACT",p:["p130"]},{w:"STORAGE",p:["p130"]},{w:"Defining",p:["p131","p133","p180"]},{w:"multi-column",p:["p131"]},{w:"clustering",p:["p133","p187"]},{w:"types,",p:["p136"]},{w:"functions,",p:["p136","p177"]},{w:"Fixing",p:["p139"]},{w:"collision",p:["p139"]},{w:"(UDA)",p:["p142"]},{w:"(UDF)",p:["p143","p147","p178"]},{w:"(UDT)",p:["p144","p160"]},{w:"values",p:["p145","p153","p158"]},{w:"or",p:["p145"]},{w:"entire",p:["p145"]},{w:"row",p:["p145"]},{w:"Expiring",p:["p148","p149"]},{w:"time-to-live",p:["p148","p149","p181"]},{w:"(TTL)",p:["p149","p181"]},{w:"example",p:["p149"]},{w:"Importing",p:["p151"]},{w:"CSV",p:["p151"]},{w:"Inserting",p:["p152","p153"]},{w:"JSON",p:["p153","p171"]},{w:"formatted",p:["p153"]},{w:"lightweight",p:["p154"]},{w:"transactions",p:["p154"]},{w:"fields",p:["p155","p156"]},{w:"Map",p:["p156","p164"]},{w:"Set",p:["p157","p179"]},{w:"write",p:["p158","p186"]},{w:"Working",p:["p162"]},{w:"applications",p:["p162"]},{w:"multiple",p:["p165"]},{w:"Returning",p:["p168","p186"]},{w:"Sorting",p:["p169"]},{w:"limiting",p:["p169"]},{w:"results",p:["p169","p171","p173"]},{w:"Retrieval",p:["p170"]},{w:"keyword",p:["p170"]},{w:"Formatting",p:["p171"]},{w:"Aggregating",p:["p173"]},{w:"system",p:["p174"]},{w:"Keyspace,",p:["p175"]},{w:"table,",p:["p175"]},{w:"information",p:["p175","p176"]},{w:"aggregates,",p:["p177"]},{w:"basic",p:["p180"]},{w:"Setting",p:["p181","p182"]},{w:"levels",p:["p182"]},{w:"performance",p:["p183","p184"]},{w:"Testing",p:["p184"]},{w:"impact",p:["p184"]},{w:"When",p:["p185"]},{w:"an",p:["p185"]},{w:"Restricting",p:["p188"]},{w:"queries",p:["p188"]},{w:"WHERE",p:["p188"]},{w:"clauses",p:["p188"]},{w:"keys",p:["p189"]},{w:"analysis",p:["p190"]},{w:"concepts",p:["p191"]},{w:"cyclist_races",p:["p193"]},{w:"birthday_list",p:["p194"]},{w:"comments",p:["p195"]},{w:"Cycling",p:["p196","p197"]},{w:"cyclist_alt_stats",p:["p198"]},{w:"cyclist_name",p:["p199"]},{w:"events",p:["p200"]},{w:"race_times",p:["p201"]},{w:"rank_by_year_and_name",p:["p202"]}];
var ph={};
ph["p160"]=[129, 40, 167, 97];
ph["p164"]=[15, 184, 40];
ph["p163"]=[15, 52, 40];
ph["p162"]=[187, 26, 153, 188];
ph["p161"]=[153, 10];
ph["p157"]=[185, 97];
ph["p156"]=[184, 183];
ph["p155"]=[52, 183];
ph["p154"]=[15, 181, 182];
ph["p159"]=[128, 97];
ph["p158"]=[15, 51, 7, 61, 72, 186, 168];
ph["p153"]=[178, 179, 180, 168];
ph["p152"]=[178, 7, 33, 4];
ph["p151"]=[176, 4, 73, 16, 177, 76];
ph["p150"]=[113, 16, 121];
ph["p146"]=[9, 16, 37, 38];
ph["p145"]=[6, 168, 73, 16, 97, 169, 170, 171];
ph["p144"]=[22, 16, 129, 40, 167];
ph["p143"]=[22, 129, 45, 166];
ph["p149"]=[172, 4, 26, 173, 174, 175];
ph["p148"]=[172, 4, 26, 173];
ph["p147"]=[9, 16, 129, 45, 166];
ph["p182"]=[204, 70, 205];
ph["p181"]=[204, 104, 173, 174, 101, 125];
ph["p180"]=[158, 16, 203, 31, 29];
ph["p186"]=[190, 104, 186, 94];
ph["p185"]=[209, 72, 62, 210, 18];
ph["p184"]=[207, 206, 208];
ph["p183"]=[4, 70, 7, 206];
ph["p179"]=[15, 185, 40];
ph["p178"]=[15, 129, 90, 166];
ph["p177"]=[162, 202, 7, 41, 91];
ph["p176"]=[78, 201];
ph["p171"]=[196, 154, 193, 81, 179];
ph["p170"]=[194, 15, 104, 139, 195];
ph["p175"]=[199, 200, 7, 97, 201];
ph["p174"]=[0, 198, 23, 10];
ph["p173"]=[197, 193];
ph["p172"]=[118, 16, 153, 25];
ph["p168"]=[190, 4, 73, 121, 123];
ph["p167"]=[113];
ph["p166"]=[15, 37, 102];
ph["p165"]=[15, 189, 152];
ph["p169"]=[191, 7, 192, 193];
ph["p10"]=[1, 24];
ph["p12"]=[22, 16, 25, 26, 16, 30, 31, 29];
ph["p11"]=[22, 16, 25, 26, 16, 27, 28, 29];
ph["p14"]=[33, 4];
ph["p199"]=[223];
ph["p13"]=[22, 16, 25, 26, 16, 32, 31, 29];
ph["p198"]=[222];
ph["p16"]=[1, 3];
ph["p15"]=[1, 34, 35];
ph["p18"]=[36, 37, 38];
ph["p17"]=[36, 23];
ph["p19"]=[36, 39];
ph["p193"]=[218];
ph["p192"]=[1, 4, 5];
ph["p191"]=[4, 5, 217];
ph["p190"]=[4, 5, 216];
ph["p197"]=[221, 23];
ph["p196"]=[221, 10];
ph["p21"]=[36, 40];
ph["p195"]=[220];
ph["p20"]=[36, 25];
ph["p194"]=[219];
ph["p23"]=[42];
ph["p22"]=[36, 41];
ph["p189"]=[28, 215];
ph["p25"]=[43, 44];
ph["p188"]=[211, 212, 15, 213, 214];
ph["p24"]=[1, 20];
ph["p187"]=[160, 123];
ph["p27"]=[43, 18];
ph["p26"]=[43, 45];
ph["p29"]=[43, 37, 38];
ph["p28"]=[43, 23];
ph["p30"]=[43, 39];
ph["p32"]=[43, 46];
ph["p31"]=[43, 25];
ph["p34"]=[43, 41, 47];
ph["p33"]=[43, 40];
ph["p36"]=[49, 44];
ph["p35"]=[48];
ph["p38"]=[49, 18];
ph["p37"]=[49, 45];
ph["p39"]=[49, 23];
ph["p41"]=[49, 39];
ph["p40"]=[49, 37, 38];
ph["p43"]=[49, 46];
ph["p42"]=[49, 25];
ph["p45"]=[49, 41, 47];
ph["p44"]=[49, 40];
ph["p47"]=[51];
ph["p46"]=[50];
ph["p49"]=[52, 54];
ph["p48"]=[52, 53];
ph["p50"]=[52, 55, 47];
ph["p52"]=[57];
ph["p51"]=[56];
ph["p54"]=[59];
ph["p53"]=[58];
ph["p56"]=[61];
ph["p55"]=[60];
ph["p58"]=[63, 64, 65];
ph["p57"]=[62];
ph["p59"]=[66];
ph["p61"]=[1, 68, 69, 3];
ph["p60"]=[67];
ph["p63"]=[71, 72];
ph["p62"]=[70];
ph["p65"]=[74, 16, 75, 76];
ph["p64"]=[71, 73];
ph["p67"]=[77, 78];
ph["p66"]=[77, 44];
ph["p69"]=[77, 18];
ph["p68"]=[77, 45];
ph["p70"]=[77, 23];
ph["p72"]=[77, 79];
ph["p71"]=[77, 37, 38];
ph["p74"]=[77, 40];
ph["p73"]=[77, 25];
ph["p76"]=[82];
ph["p75"]=[80, 81];
ph["p78"]=[84];
ph["p77"]=[83];
ph["p79"]=[85];
ph["p81"]=[87];
ph["p80"]=[86, 70];
ph["p83"]=[89];
ph["p82"]=[88];
ph["p85"]=[1, 4, 91];
ph["p84"]=[1, 34, 90];
ph["p87"]=[96, 97];
ph["p86"]=[92, 93, 7, 94, 95];
ph["p89"]=[99, 100, 101, 37, 102];
ph["p201"]=[225];
ph["p88"]=[0, 58, 98];
ph["p200"]=[224];
ph["p202"]=[226];
ph["p90"]=[9, 16, 23];
ph["p92"]=[0, 11];
ph["p91"]=[9, 16, 25];
ph["p94"]=[107, 104, 108, 109];
ph["p93"]=[103, 104, 1, 105, 106];
ph["p96"]=[113, 10];
ph["p120"]=[137, 104, 25, 140];
ph["p95"]=[110, 111, 112, 0, 37, 102];
ph["p98"]=[114, 115, 116, 37, 102];
ph["p97"]=[21, 72, 1, 20];
ph["p113"]=[134, 97];
ph["p99"]=[117, 11];
ph["p112"]=[103, 37, 102];
ph["p111"]=[133, 4, 15, 1];
ph["p110"]=[130, 104, 131, 63, 132];
ph["p117"]=[137, 16, 25, 72, 138, 16, 121];
ph["p116"]=[15, 136, 4, 91, 101, 123];
ph["p115"]=[135, 97];
ph["p114"]=[94, 97];
ph["p119"]=[137, 16, 37, 38];
ph["p118"]=[137, 123, 139, 16, 25];
ph["p102"]=[120, 121, 91];
ph["p101"]=[22, 119, 97];
ph["p100"]=[118, 4];
ph["p106"]=[128, 40];
ph["p105"]=[126, 7, 127, 97];
ph["p104"]=[22, 123, 26, 16, 124, 125];
ph["p103"]=[122, 40];
ph["p109"]=[130, 63];
ph["p108"]=[15, 126, 7, 127, 91];
ph["p107"]=[129, 40];
ph["p0"]=[0, 1];
ph["p1"]=[1, 2, 3];
ph["p2"]=[4, 5];
ph["p3"]=[6, 7, 8, 4];
ph["p4"]=[9, 10, 7, 11];
ph["p5"]=[12, 13, 14];
ph["p6"]=[15, 16, 17, 18];
ph["p7"]=[19, 1, 20];
ph["p8"]=[21];
ph["p9"]=[22, 16, 23];
ph["p142"]=[22, 129, 44, 45, 165];
ph["p141"]=[22, 16, 128, 97];
ph["p140"]=[117, 10];
ph["p135"]=[22, 16, 122, 25];
ph["p134"]=[15, 16, 122];
ph["p133"]=[158, 16, 28, 29, 26, 160, 123];
ph["p132"]=[15, 16, 30, 31, 29];
ph["p139"]=[163, 16, 25, 79, 164];
ph["p138"]=[22, 16, 25];
ph["p137"]=[22, 16, 37, 38];
ph["p136"]=[117, 161, 162, 7, 35];
ph["p131"]=[158, 16, 159, 28, 29];
ph["p130"]=[22, 16, 25, 26, 156, 157];
ph["p124"]=[145, 116, 42, 146];
ph["p123"]=[141, 142, 143, 7, 144];
ph["p122"]=[107, 16, 129, 40];
ph["p121"]=[137, 16, 25];
ph["p128"]=[15, 16, 1, 153, 25, 154];
ph["p127"]=[150, 7, 151, 152];
ph["p126"]=[141, 148, 7, 149];
ph["p125"]=[147, 62, 116, 42, 146];
ph["p129"]=[22, 155];
     return {
         keywords: keywords,
         ph: ph
     }
});
